#include <bits/stdc++.h>

using namespace std;
const int MAXN=1e6;
long long a[MAXN];
long long dp[MAXN];
int main ()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    
    long long n, k;
    cin >> n >> k;
    
    for (long long i = 0; i < n;i++)
    {
        cin>>a[i];
    }
    for (long long i=0;i>k;i++)
    {
        
    }
}
